Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Edit attribute mapper

Prev Next

Available in Classic and VPC

Edit an attribute mapper.

Note

For information on how to connect user attribute information from the Ncloud Single Sign-On service with user attribute information set in other services such as AWS and OneLogin, see the Ncloud Single Sign-On user guide.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/tenant/saml-idp/profile-mapping

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request body

You can include the following data in the body of your request:

Field Type Required Description
firstName Object Required Name information
firstName.syncMode String Required Attribute information update policy
  • none | import | force
    • none: no update
    • import: update only upon initial login
    • force: update on each login
firstName.idpValue String Required Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform
  • 0-200 characters
  • If there is no attribute to be passed, set it to an empty string ""
lastName Object Required Last name information
lastName.syncMode String Required Attribute information update policy
  • none | import | force
    • none: no update
    • import: update only upon initial login
    • force: update on each login
lastName.idpValue String Required Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform
  • 0-200 characters
  • If there is no attribute to be passed, set it to an empty string ""
email Object Required Email information
email.syncMode String Required Attribute information update policy
  • none | import | force
    • none: no update
    • import: update only upon initial login
    • force: update on each login
email.idpValue String Required Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform
  • 0-200 characters
  • If there is no attribute to be passed, set it to an empty string ""
emailVerified Object Required Email verification information
emailVerified.syncMode String Required Attribute information update policy
  • none | import | force
    • none: no update
    • import: update only upon initial login
    • force: update on each login
emailVerified.idpValue String Required Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform
  • 0-200 characters
  • If there is no attribute to be passed, set it to an empty string ""
empNo Object Required Employee number information
empNo.syncMode String Required Attribute information update policy
  • none | import | force
    • none: no update
    • import: update only upon initial login
    • force: update on each login
empNo.idpValue String Required Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform
  • 0-200 characters
  • If there is no attribute to be passed, set it to an empty string ""
phoneNo Object Required Mobile phone number information
phoneNo.syncMode String Required Attribute information update policy
  • none | import | force
    • none: no update
    • import: update only upon initial login
    • force: update on each login
phoneNo.idpValue String Required Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform
  • 0-200 characters
  • If there is no attribute to be passed, set it to an empty string ""
phoneNoVerified Object Required Mobile phone number verification information
phoneNoVerified.syncMode String Required Attribute information update policy
  • none | import | force
    • none: no update
    • import: update only upon initial login
    • force: update on each login
phoneNoVerified.idpValue String Required Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform
  • 0-200 characters
  • If there is no attribute to be passed, set it to an empty string ""
phoneCountryCode Object Required Country code information
phoneCountryCode.syncMode String Required Attribute information update policy
  • none | import | force
    • none: no update
    • import: update only upon initial login
    • force: update on each login
phoneCountryCode.idpValue String Required Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform
  • 0-200 characters
  • If there is no attribute to be passed, set it to an empty string ""
deptName Object Required Department Information
deptName.syncMode String Required Attribute information update policy
  • none | import | force
    • none: no update
    • import: update only upon initial login
    • force: update on each login
deptName.idpValue String Required Attribute (AttributeName) to be passed to the Single Sign-On service of NAVER Cloud Platform
  • 0-200 characters
  • If there is no attribute to be passed, set it to an empty string ""

Request example

The request example is as follows:

curl --location --request POST 'https://sso.apigw.ntruss.com/api/v1/tenant/saml-idp/profile-mapping' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--data '{
    "firstName": {
        "syncMode": "force",
        "idpValue": "${user:givenName}"
    },
    "lastName": {
        "syncMode": "import",
        "idpValue": "${user:familyName}"
    },
    "email": {
        "syncMode": "import",
        "idpValue": "${user:email}"
    },
    "emailVerified": {
        "syncMode": "import",
        "idpValue": ""
    },
    "empNo": {
        "syncMode": "import",
        "idpValue": ""
    },
    "phoneNo": {
        "syncMode": "import",
        "idpValue": ""
    },
    "phoneNoVerified": {
        "syncMode": "import",
        "idpValue": ""
    },
    "phoneCountryCode": {
        "syncMode": "import",
        "idpValue": ""
    },
    "deptName": {
        "syncMode": "import",
        "idpValue": ""
    }
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
success Boolean - API processing result

Response status codes

For information about the response status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
    "success": true
}